package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SparePartsBean {

        /**
         * records : [{"createdBy":1,"createdByName":null,"createdTime":"2119-10-09 10:12:25","updatedBy":1,"updatedByName":null,"updatedTime":"2019-10-09 10:12:26","id":1,"mesId":"1","assetId":"1","assetName":"设备1","itemCode":"1","itemName":"基座","specificationType":"1","quantity":1,"issuedqty":1},{"createdBy":675,"createdByName":null,"createdTime":"2019-10-10 09:16:35","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":2,"mesId":"2","assetId":"2","assetName":"设备1的部件1","itemCode":"2","itemName":"底座","specificationType":"40*50*5","quantity":55,"issuedqty":44},{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":3,"mesId":"3","assetId":"3","assetName":"设备2","itemCode":"3","itemName":"垫片","specificationType":"20*30*50","quantity":22,"issuedqty":11}]
         * total : 3
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 1
             * createdByName : null
             * createdTime : 2119-10-09 10:12:25
             * updatedBy : 1
             * updatedByName : null
             * updatedTime : 2019-10-09 10:12:26
             * id : 1
             * mesId : 1
             * assetId : 1
             * assetName : 设备1
             * itemCode : 1
             * itemName : 基座
             * specificationType : 1
             * quantity : 1
             * issuedqty : 1
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private int updatedBy;
            private Object updatedByName;
            private String updatedTime;
            private int id;
            private String mesId;
            private String assetId;
            private String assetName;
            private String itemCode;
            private String itemName;
            private String specificationType;
            private int quantity;
            private int issuedqty;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public int getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(int updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getMesId() {
                return mesId;
            }

            public void setMesId(String mesId) {
                this.mesId = mesId;
            }

            public String getAssetId() {
                return assetId;
            }

            public void setAssetId(String assetId) {
                this.assetId = assetId;
            }

            public String getAssetName() {
                return assetName;
            }

            public void setAssetName(String assetName) {
                this.assetName = assetName;
            }

            public String getItemCode() {
                return itemCode;
            }

            public void setItemCode(String itemCode) {
                this.itemCode = itemCode;
            }

            public String getItemName() {
                return itemName;
            }

            public void setItemName(String itemName) {
                this.itemName = itemName;
            }

            public String getSpecificationType() {
                return specificationType;
            }

            public void setSpecificationType(String specificationType) {
                this.specificationType = specificationType;
            }

            public int getQuantity() {
                return quantity;
            }

            public void setQuantity(int quantity) {
                this.quantity = quantity;
            }

            public int getIssuedqty() {
                return issuedqty;
            }

            public void setIssuedqty(int issuedqty) {
                this.issuedqty = issuedqty;
            }
        }
}
